%define ver_major 2.30
%def_disable static
%def_disable docbook

%define _libexecdir /usr/libexec

Name: gnome-screensaver
Version: %ver_major.2
Release: alt2

Summary: GNOME Screensaver
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Provides: screen-saver-engine
Provides: screen-saver-frontend
Provides: gnome-screensaver-module

Source0: http://download.gnome.org/sources/gnome-screensaver/%ver_major/%name-%version.tar.bz2
Source1: gnome-screensaver-hide-xscreensaver.menu
Source2: unix2_chkpwd.c

Patch: gnome-screensaver-2.28.0-alt-pam.patch
Patch1: gnome-screensaver-2.28.0-alt-desktop.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=579430
Patch2: gnome-screensaver-2.28.0-user_activity.patch

# From configure.ac

%define dbus_ver 0.30
%define glib_ver 2.15.0
%define GConf_ver 2.6.1
%define gtk_ver 2.14.0
%define desktop_ver 2.23.2
%define gnome_menus_ver 2.29.0
%define libgnomekbd_ver 0.1

PreReq: GConf2 >= %GConf_ver
# since we use it, and pam spams the log if a module is missing
#Requires: pam_gnome-keyring 

BuildPreReq: gnome-common
BuildPreReq: xscreensaver-devel
# From configure.ac
BuildPreReq: intltool >= 0.35
BuildPreReq: libdbus-glib-devel >= %dbus_ver libdbus-devel >= %dbus_ver
BuildPreReq: glib2-devel >= %glib_ver libgio-devel >= %glib_ver
BuildPreReq: libGConf-devel >= %GConf_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver GConf
BuildPreReq: gtk2-devel >= %gtk_ver
BuildPreReq: libgnome-menus-devel >= %gnome_menus_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildPreReq: libgnomekbd-devel >= %libgnomekbd_ver
BuildPreReq: libpam-devel
BuildPreReq: libnotify-devel
BuildRequires: xorg-proto-devel libXxf86vm-devel libSM-devel libXScrnSaver-devel
BuildRequires: libXext-devel libXtst-devel xorg-xf86vidmodeproto-devel
%{?_enable_docbook:Requires: xmlto}

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%package utils
Summary: GNOME Screensaver utils
Group: Development/Other
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release
Requires: xsltproc

%description utils
GNOME Screensaver utils.

%prep
%setup -q
%patch -p1
%patch1 -b .xfce
%patch2 -p1 -b .user_activity

%build
%autoreconf
%configure  \
	%{subst_enable static} \
	--disable-schemas-install \
	--enable-locking \
	--enable-authentication-scheme=helper \
	--with-passwd-helper="%_libexecdir/%name/%name-chkpwd-helper" \
	--with-pam-prefix=%_sysconfdir \
	--with-xscreensaverdir=%xss_conf_dir \
	--with-xscreensaverhackdir=%xss_hack_dir \
	--with-kbd-layout-indicator \
%if_enabled docbook
	--enable-docbook-docs \
%endif
	--with-libnotify

%make

gcc -o %name-chkpwd-helper $RPM_OPT_FLAGS %SOURCE2 -lpam

%install
%make DESTDIR=%buildroot install
install %name-chkpwd-helper %buildroot%_libexecdir/%name/

sed -ie 's|XSL=${DIST_BIN}/xscreensaver-config.xsl|XSL=%_datadir/gnome-screensaver/xscreensaver-config.xsl|' \
        data/migrate-xscreensaver-config.sh
sed -ie 's|b=`basename ${FILE} .xml`|b=xscreensaver-`basename ${FILE} .xml`|' \
        data/migrate-xscreensaver-config.sh

install -m755 data/migrate-xscreensaver-config.sh %buildroot%_libexecdir/gnome-screensaver/gnome-screensaver-migrate-xscreensaver-config.sh
install -m644 data/xscreensaver-config.xsl %buildroot%_datadir/gnome-screensaver/

# hide xscreensaver from the menus
#install -D -m644 %SOURCE1 %buildroot%_sysconfdir/xdg/menus/preferences-post-merged/gnome-screensaver-hide-xscreensaver.menu

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS NEWS README COPYING
%config %_sysconfdir/gconf/schemas/*.schemas
#%config %_sysconfdir/xdg/menus/preferences-post-merged/*
%config(noreplace) %_sysconfdir/xdg/menus/gnome-screensavers.menu
%config(noreplace) %_sysconfdir/pam.d/*
%_bindir/*
%_libexecdir/%name
%attr(4511,root,root) %_libexecdir/%name/%name-chkpwd-helper
%_libexecdir/gnome-screensaver-gl-helper
%_libexecdir/%name-dialog
%_pkgconfigdir/*
%_datadir/dbus-1/services/org.gnome.ScreenSaver.service
%dir %_datadir/gnome-screensaver
%_datadir/applications/gnome-screensaver-preferences.desktop
%dir %_datadir/applications/screensavers
%_datadir/applications/screensavers/*
%_datadir/gnome-screensaver/*
%_datadir/backgrounds/*
%_datadir/gnome-background-properties/cosmos.xml
%_datadir/pixmaps/gnome-logo-white.svg
%_datadir/desktop-directories/gnome-screensaver.directory
%_man1dir/*
%_sysconfdir/xdg/autostart/gnome-screensaver.desktop
%exclude %_libexecdir/%name/gnome-screensaver-migrate-xscreensaver-config.sh
%exclude %_datadir/gnome-screensaver/xscreensaver-config.xsl

%files utils
%dir %_libexecdir/%name
%dir %_datadir/gnome-screensaver
%_libexecdir/%name/gnome-screensaver-migrate-xscreensaver-config.sh
%_datadir/gnome-screensaver/xscreensaver-config.xsl

%changelog
* Tue Apr 05 2011 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt2
- updated buildreqs

* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Wed Mar 31 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Tue Mar 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt1
- 2.29.92

* Sat Feb 13 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91

* Sat Feb 13 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.3-alt1
- 2.28.3

* Mon Feb 08 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt1
- 2.29.90

* Fri Jan 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.1-alt1
- 2.29.1

* Fri Jan 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Mon Jan 18 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt3
- fixed GNOME bug #579430 (closes #22719)

* Sun Dec 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt2
- allow XFCE to use g-s-s (closes #22092)

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Mon Aug 03 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.26.1-alt2
- disabled XFree86-Misc

* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Sun Apr 12 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt2
- fixed lock/unlock (fixed patch0 by shrek@)

* Wed Mar 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Jan 27 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.2-alt1
- 2.25.2
- updated buildreqs

* Mon Dec 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- updated buildreqs

* Fri Nov 14 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1
- don't call %%{update,clean}_menus in %%post{,un}

* Sun Oct 26 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt3
- rebuild

* Wed Oct 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- removed useless patches
- updated buildreqs

* Mon Aug 11 2008 Sir Raorn <raorn@altlinux.ru> 2.22.2-alt1.1
- Added generic screen-saver-engine/frontend provides
- Removed xscreensaver triggers
- xscreensaver migration script moved to -utils subpackage

* Thu Jul 10 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- new version 2.22.2

* Mon Mar 31 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- initial build for ALTLinux

